Bug 118695 - Table number recognition not immediately disabled for cells where replacing took place previously
Summary: Table number recognition not immediately disabled for cells where replacing t...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2018-07-11 14:42 UTC by Telesto
Modified: 2019-07-18 02:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-07-11 14:42:14 UTC
Description:
Number recognition not immediately disabled for cell's where replace took place (previously) 

Steps to Reproduce:
1. Insert a table (2x1)
2. Enable Number recognition -> Table -> Number recognition
3. Type 3:2 in A1 & press tab -> replace takes place
4. Type 3:2 in A2 & Press tab -> replace takes place
5. Disable Number recognition
6. Delete the content of A1/A2 (select the cells + backspace)
7. Type 3:2 in A1 & Press Tab -> replace takes place
8. Remove the content from A1
9. Type 3.1 -> tab (no change)
10. remove the content from A1
11. Type 3:2 + tab (no replacing; -> fine
12. Type 3:2 A2 + Tab -> Again replacing

Actual Results:
Number recognition not immediately disabled for cell's where replace took place (previously) 

Expected Results:
Should be disabled completely


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.1.0.1
Build ID: 378e26bd4f22a135cef5fa17afd5d4171d8da21a
CPU threads: 4; OS: Mac OS X 10.12.6; UI render: default; 
Locale: nl-NL (nl_NL.UTF-8); Calc: group threade
Comment 1 Buovjaga 2018-07-17 17:22:32 UTC
Repro.

There was a period when the recognition did not work at all: https://cgit.freedesktop.org/libreoffice/core/commit/?id=aa334d55ee34c125f6f4fdfaadbc1ed8fa33f5bc

Yet, I can't get 3.3.0 or 3.5.0 recognise 3:2. In the old versions, it is enabled through the table's right-click context menu.

Win 10, LibO 6.0.4.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 860a9daf2b45942a4b10ff22d36aa3fe29be19f4
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on July 14th 2018
Comment 2 QA Administrators 2019-07-18 02:49:13 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug